%define name abuledu-mulot
%define version 1.0.15
%define release 2
%define execname mulot.tcl
%define execpublicname mulot
%define abuledu_dest /usr/share/abuledu/applications

Summary: Mulot: Utilisation de la souris ... pour les petits
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://intranet.abuledu.org/~abuledu_andre/%{name}-%{version}.tgz
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
License: GPL 2
Group: AbulEdu
Url: http://www.abuledu.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: tcl > 8.3, tk > 8.3
Requires: tcl > 8.3, tk > 8.3, ImageMagick, itcl > 8.3

%description

Motricit fine (TPS et PS de maternelle)
 Activits de manipulation fine de la souris : survol ou clic, tirer/lacher.
 Liaison entre le plan horizontal (plan de la souris) et le plan vertical (cran).
 Les images utilises sont facilement gres :
   o la taille recommande maximale des images est 600x400
   o vous pouvez copier / modifier / effacer les images dans le rpertoire des images!
   o en fonction de la vie de la classe, n'hsitez pas  modifier ce rpertoire images, les enfants adorent

Contacts : andre.connes@toulouse.iufm.fr et dev@abuledu.org

%prep
%setup

%build
cat > lanceur << EOF
#!/bin/sh
(
cd %{abuledu_dest}/%{name}
./%{execname}
)
EOF
chmod 755 lanceur

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{abuledu_dest}/%{name}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/
# mkdir -p $RPM_BUILD_ROOT/var/leterrier/%{execpublicname}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/

install -c lanceur $RPM_BUILD_ROOT%{_bindir}/%{execpublicname}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{execpublicname}"\
title="%{execpublicname}"\
longtitle="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="AbulEdu"
EOF
)
 
%post
#cas gnral avant le cas particulier abuledu
if [ -d %{abuledu_dest}/%{name}/images ]; then
    #on donne tous les droits sur le rpertoire images
    #on peut y poser des fichiers par identifiant et mot-de-passe
    chown -R root:root %{abuledu_dest}/%{name}/images
    chmod -R 777 %{abuledu_dest}/%{name}/images
fi

#si on est sur un abuledu
if [ -d /etc/abuledu ]; then
  #si le rpertoire de destination existe
  if [ -d %{abuledu_dest}/%{name}/images ]; then
    #on le donne au groupe profs et on y met les droits ad-hoc pour que
    #tous les profs puissent y poser des fichiers
    chown :profs %{abuledu_dest}/%{name}/images
    chmod g+rwx %{abuledu_dest}/%{name}/images
  fi
fi

cp -a %{abuledu-dest}/%{name}/runbrowser /usr/bin
rm -f %{abuledu-dest}/%{name}/runbrowser

%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{execpublicname}
%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{abuledu_dest}/%{name}/
%{abuledu_dest}/%{name}/*
# %attr(777, root, root) /var/leterrier/%{execpublicname}
# %attr(777, root, root) %{abuledu_dest}/%{name}/images
# %attr(777, root, root) %{abuledu_dest}/%{name}/images/*

%changelog
* Mon May 03 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.0.15-2
- modification dans path.tcl de ./runbrowser (le point)

* Thu Apr 29 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.0.15-1
- intgration des normes d'avril 2004 (aprs runion CVS) 
* Mon Feb 16 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.0.14-1
- automatic two sessions delay (see mulot.conf)
- so removing next and right buttons
* Fri Jan 16 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.0.13-3
- add jpeg lib 
- remove gif and add jpg from/to images repertory
* Thu Dec 18 2003 Andre Connes <andre.connes@toulouse.iufm.fr> 1.0.12-1
- add path.tcl module for help
- copy images from user repertory
* Sun Sep 28 2003 Andre Connes <andre.connes@toulouse.iufm.fr> 1.0.9-1
- New release, added clic&flyOver
* Tue Jul 15 2003 Eric Seigne <erics@hurlevent.rycks-local.com> 1.0.4-1
- New release, Andr added drag&drop and add new images

* Sun May 11 2003 Eric Seigne <erics@music.rycks-local.com> 1.0.0-1
- New release

* Sat Feb 15 2003 Eric Seigne <erics@music.rycks-local.com> 0.0.3-1
- First Release
